*** postgresql-7.2.1-rc/configure.in Tue Mar 26 16:49:05 2002
--- postgresql-7.2.1/configure.in Tue Mar 26 16:50:23 2002
***************
*** 692,698 ****
  AC_CHECK_LIB(util,     setproctitle)
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
- AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
--- 692,697 ----
  AC_CHECK_LIB(util,     setproctitle)
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(ipc,      main)
***************
*** 694,699 ****
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
  AC_CHECK_LIB(lc,       main)
--- 693,699 ----
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(nsl,      main)
+ AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
  AC_CHECK_LIB(lc,       main)
*** postgresql-7.2.1-rc/src/interfaces/odbc/convert.c Tue Mar 26 16:48:54 2002
--- postgresql-7.2.1/src/interfaces/odbc/convert.c Tue Mar 26 16:58:59 2002
***************
*** 2263,2268 ****
  static unsigned int
  conv_from_octal(const unsigned char *s)
  {
  	int			i,
  				y = 0;
  
--- 2263,2269 ----
  static unsigned int
  conv_from_octal(const unsigned char *s)
  {
+ 	const int pow_8_3mi[] = {512, 64, 8, 1};
  	int			i,
  	y = 0;
  
***************
*** 2267,2273 ****
  				y = 0;
  
  	for (i = 1; i <= 3; i++)
! 		y += (s[i] - 48) * (int) pow(8, 3 - i);
  
  	return y;
  
--- 2268,2274 ----
  	y = 0;
  
  	for (i = 1; i <= 3; i++)
! 		y += (s[i] - (int)('0')) * pow_8_3mi[i];
  
  	return y;
  
***************
*** 2277,2282 ****
  static unsigned int
  conv_from_hex(const unsigned char *s)
  {
  	int			i,
  				y = 0,
  				val;
--- 2278,2284 ----
  static unsigned int
  conv_from_hex(const unsigned char *s)
  {
+ 	const int pow_16_2mi [] = {256, 16, 1};
  	int			i,
  				y = 0,
  				val;
***************
*** 2290,2296 ****
  		else
  			val = s[i] - '0';
  
! 		y += val * (int) pow(16, 2 - i);
  	}
  
  	return y;
--- 2292,2298 ----
  		else
  			val = s[i] - '0';
  
! 		y += val * pow_16_2mi[i];
  	}
  
  	return y;
*** postgresql-7.2.1-rc/src/pl/tcl/Makefile Tue Mar 26 16:48:58 2002
--- postgresql-7.2.1/src/pl/tcl/Makefile Tue Mar 26 17:02:09 2002
***************
*** 53,59 ****
  	$(TCL_SHLIB_LD) -o $@ $< $(TCL_LIB_SPEC) $(SHLIB_EXTRA_LIBS)
  
  
! CC = $(TCL_CC)
  
  # Since we are using Tcl's choice of C compiler, which might not be
  # the same one selected for Postgres, do NOT use CFLAGS from
--- 53,59 ----
  	$(TCL_SHLIB_LD) -o $@ $< $(TCL_LIB_SPEC) $(SHLIB_EXTRA_LIBS)
  
  
! #CC = $(TCL_CC)
  
  # Since we are using Tcl's choice of C compiler, which might not be
  # the same one selected for Postgres, do NOT use CFLAGS from
***************
*** 63,69 ****
  # Can choose either TCL_CFLAGS_OPTIMIZE or TCL_CFLAGS_DEBUG here, as
  # needed
  override CPPFLAGS += $(TCL_DEFS)
! override CFLAGS = $(TCL_CFLAGS_OPTIMIZE) $(TCL_SHLIB_CFLAGS)
  
  
  #
--- 63,70 ----
  # Can choose either TCL_CFLAGS_OPTIMIZE or TCL_CFLAGS_DEBUG here, as
  # needed
  override CPPFLAGS += $(TCL_DEFS)
! #override CFLAGS = $(TCL_CFLAGS_OPTIMIZE) $(TCL_SHLIB_CFLAGS)
! CFLAGS += $(CFLAGS_SL)
  
  
  #
*** postgresql-7.2.1-rc/src/test/regress/pg_regress.sh Tue Mar 26 16:49:04 2002
--- postgresql-7.2.1/src/test/regress/pg_regress.sh Tue Mar 26 17:03:39 2002
***************
*** 173,179 ****
  # ----------
  
  case $host_platform in
!     *-*-qnx*)
          DIFFFLAGS=-b;;
      *)
          DIFFFLAGS=-w;;
--- 173,179 ----
  # ----------
  
  case $host_platform in
!     *-*-qnx*  | *-*-sco3.2v5* | *-*-sysv5)
          DIFFFLAGS=-b;;
      *)
          DIFFFLAGS=-w;;
